> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 단기 JWT 관리자 토큰 생성

> 브라우저 기반 관리자 연산을 위한 단기 JWT 관리자 토큰을 생성합니다.
사용자는 이미 Firebase로 인증되어 있고 관리자 권한이 있어야 합니다.
생성된 토큰은 1시간 후에 만료됩니다.




## OpenAPI

````yaml /openapi/registry.ko.yaml post /admin/generate-token
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /admin/generate-token:
    post:
      tags:
        - Admin
      summary: 단기 JWT 관리자 토큰 생성
      description: |
        브라우저 기반 관리자 연산을 위한 단기 JWT 관리자 토큰을 생성합니다.
        사용자는 이미 Firebase로 인증되어 있고 관리자 권한이 있어야 합니다.
        생성된 토큰은 1시간 후에 만료됩니다.
      operationId: GenerateAdminToken
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  expires_at:
                    description: 토큰이 만료되는 시간
                    format: date-time
                    type: string
                  token:
                    description: JWT 관리자 토큰
                    type: string
                required:
                  - token
                  - expires_at
                type: object
          description: JWT 토큰이 성공적으로 생성됨
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 인증되지 않았거나 사용자가 관리자가 아닙니다
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````